%define name	elm
%define version	2.5.5
%define release	2mdk

Summary:	The elm mail user agent.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	distributable
Group:		Networking/Mail
Url:		http://www.instinct.org/elm/
Source0:	ftp://ftp.virginia.edu/pub/elm/%{name}%{version}.tar.bz2
Source1:	elm.wmconfig.bz2
Patch0:		elm-2.5.5-config.patch.bz2
Patch1:		elm-2.5.2-y2k.patch.bz2
Patch2:		elm-2.5.3-alpha.patch.bz2
Patch3:		elm-2.5.3-bug17783.patch.bz2
Patch4:		elm-2.5.3-delay.patch.bz2
Patch5:		elm-2.5.3-security.patch.bz2
Patch6:		elm-2.5.5-tempnam.patch.bz2
BuildRequires:	libtermcap-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
Elm is a popular terminal mode email user agent. Elm includes all
standard mailhandling features, including MIME support via metamail.

Elm is still used by some people, but is no longer in development. If
you've used Elm before and you're devoted to it, you should install the
elm package.  If you would like to use metamail's MIME support, you'll
also need to install the metamail package.

%prep
%setup -q -n %{name}%{version}

%patch0 -p1 -b .config
%patch1 -p1 -b .y2k
%patch2 -p1 -b .alpha
%patch3 -p1 -b .bug17783
%patch4 -p1 -b .delay
%patch5 -p1 -b .security
%patch6 -p1 -b .tempnam


%build
mkdir -p bin
make	OPTIMIZE="$RPM_OPT_FLAGS" \
	MFLAGS="OPTIMIZE=\"$RPM_OPT_FLAGS\"" || :
# XXX This make to rerun Makefile.SH everywhere ...
make	OPTIMIZE="$RPM_OPT_FLAGS" \
	MFLAGS="OPTIMIZE=\"$RPM_OPT_FLAGS\""

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/elm
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1

make	OPTIMIZE="$RPM_OPT_FLAGS" \
	MFLAGS="OPTIMIZE=\"$RPM_OPT_FLAGS\"" \
	DESTBIN=$RPM_BUILD_ROOT%{_bindir} \
	BIN=$RPM_BUILD_ROOT%{_bindir} \
	DESTLIB=$RPM_BUILD_ROOT%{_libdir}/elm \
	LIB=$RPM_BUILD_ROOT%{_libdir}/elm \
	MAN=$RPM_BUILD_ROOT%{_mandir}/man1 \
	install

#menu.

mkdir -p $RPM_BUILD_ROOT/%_menudir
cat << EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(elm):\
needs="text"\
section="Networking/Mail"\
title="elm"\
longtitle="Elm the mail reader"\
command="/usr/bin/elm"
EOF

rm -f $RPM_BUILD_ROOT/%{_bindir}/mmencode
rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/mmencode*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%{_libdir}/elm
%{_bindir}/*
%{_mandir}/man*/*
%_menudir/%name

%changelog
* Sat Aug 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5.5-2mdk
- Sanity build for 8.1.
- Remove wmconfig entry.
- Add a menu entry.

* Wed Jul 25 2001 Vincent Danen <vdanen@mandrakesoft.com> 2.5.5-1mdk
- 2.5PL5 
- s/Copyright/License/
- fix url
- merge Red Hat patches

* Tue Mar 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5.3-7mdk
- Do nothing but rebuild.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.5.3-6mdk
- automatically added BuildRequires

* Mon Jul 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.5.3-5mdk
- Remove mmencode use the one from metamail (thnks stefan).

* Wed Jul 26 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.5.3-4mdk
- macrosifications

* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.5.3-3mdk
- fix invalid distribution tag

* Mon Mar 20 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.5.3-2mdk
- Update to 2.5.3

* Sat Dec 18 1999 John Buswell <johnb@mandrakesoft.com>
- Added prlong

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
- elm2.5.0pre8 -> elm2.5.2
- removed hardcoded version numbers from rpm body
- Build Release

* Fri Oct 15 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix non "bzippage" of newmail.1 and wnewmail.1 (bzip2: Input file *
has 1 other link.)

* Wed Jun 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch from H.J. <hjl@varesearch.com> to allow 8bits.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 14 1999 Jeff Johnson <jbj@redhat.com>
- enable metamail support (#823)

* Fri Mar 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.5.0pre8.

* Tue Jan 19 1999 Alex deVries <puffin@redhat.com>
- fixed it to build for all architectures

* Thu Jan 14 1999 Bill Nottingham <notting@redhat.com>
- build for arm

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Tue Jun 16 1998 Alan Cox <alan@redhat.com>
- Make elm non setgid and use fcntl locking (this is fine
  with procmail and matches our PINE setup).

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Jan 07 1998 Erik Troan <ewt@redhat.com>
- removed filter -- it's a security problem

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig entries.

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
